## freesas 0.9.0

=== requirements.txt ===
numpy
scipy
cython
setuptools
matplotlib
silx
pyFAI

=== debian/changelog ===
freesas (0.9.0-6) unstable; urgency=medium

  * Fix Vcs-* fields in debian/control.
  * Update Standards-Version.

 -- Roland Mas <lolando@debian.org>  Fri, 03 Feb 2023 15:12:28 +0100

freesas (0.9.0-5) unstable; urgency=medium

  * Team upload.

  [ Roland Mas ]
  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    (Closes: #1011752).

  [ Stefano Rivera ]
  * Patch: Migrate to pure setuptools. (Closes: #1027501)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Jan 2023 21:38:29 -0400

freesas (0.9.0-4) unstable; urgency=medium

  * Bug fix: "manpage contains Python tracebacks", thanks to Chris Lamb
    (Closes: #1006206).

 -- Roland Mas <lolando@debian.org>  Thu, 21 Apr 2022 14:19:07 +0200

freesas (0.9.0-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 21 Feb 2022 10:49:28 +0100

freesas (0.9.0-2) unstable; urgency=medium

  * Add missing copyright holders to debian/copyright.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Feb 2022 20:30:25 +0100

freesas (0.9.0-1) unstable; urgency=low

  * Initial upload (closes: #1002287).

 -- Roland Mas <lolando@debian.org>  Wed, 22 Dec 2021 21:09:46 +0100

=== debian/control ===
Source: freesas
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Roland Mas <lolando@debian.org>
Section: science
Priority: optional
Build-Depends: dh-python, python3, python3-numpy, python3-setuptools,
 python3-silx, help2man, python3-pyfai,
 cython3, python3-dev, python3-pip, python3-scipy, debhelper (>= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/kif/freesas
Vcs-Git: https://salsa.debian.org/science-team/freesas.git
Vcs-Browser: https://salsa.debian.org/science-team/freesas

Package: python3-freesas
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 cython3, python3-matplotlib, python3-silx, python3-pyfai
Description: Python libraries for small angle scattering tools
 Available tools:
  - supycomb: a re-implementation of supcomb as described in
    J. Appl. Cryst. (2001). 34, 33-41;
  - autorg: automatic guess of the Guinier region in a SAXS curve,
    based on BioXTAS-RAW;
  - auto_guinier automatic guess of the Guinier region in a SAXS curve,
    based on J. Appl. Cryst. (2007). 40, s223-s228;
  - auto_gpa: automatic Guinier peak analysis, based on J Appl
    Cryst. (2016). 49, 1412–1419;
  - bift: an Bayesian inverse Fourier transform, based on
    J. Appl. Cryst. (2006). 39, 797-804 & BioXtas-RAW;
  - cormap: a tool to assess the similarity of saxs curves, based on
    Nature Methods volume 12, pages 419–422 (2015).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=freesas
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	for i in debian/python3-freesas/usr/bin/*.py ; do mv -v $$i $$(basename $$i .py) ; done
	for i in debian/python3-freesas/usr/bin/* ; do PYTHONPATH=$$(echo debian/python3-freesas/usr/lib/python*/dist-packages) HOME=$(CURDIR)/_build PATH=_build/bin:$$PATH help2man --output=$$(basename $$i).1 --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) --help-option --help --no-discard-stderr $$i ; done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/kif/freesas/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## freesas 2024.9.0

=== requirements.txt ===
numpy
scipy
cython
tomli; python_version < '3.12'  
matplotlib
silx
pyFAI
meson-python

=== debian/changelog ===
freesas (2024.9.0-3) unstable; urgency=medium

  * Fix imports for testsuite
  * Bug fix: "autopkgtest failure", thanks to Adrian Bunk (Closes: #1102940).

 -- Roland Mas <lolando@debian.org>  Sun, 13 Apr 2025 18:12:33 +0200

freesas (2024.9.0-2) unstable; urgency=medium

  [Rahli Oussama]
  * d/t/gui: Added command line tests
  * d/t/python: move the Test-command in its own file.

  [ Roland Mas ]
  * Add Build-Depends: python3-six.
  * Rewrite testsuite invocation.
  * This fixes "FTBFS: cp: cannot create directory
    '.pybuild/cpython3_3.13_freesas/build/freesas/': No such file or
    directory", thanks to Santiago Vila (Closes: #1088040).
  * This also fixes: "freesas ftbfs with Python 3.13 as the default",
    thanks to Matthias Klose (Closes: #1092054).

 -- Roland Mas <lolando@debian.org>  Thu, 10 Apr 2025 22:04:55 +0200

freesas (2024.9.0-1) unstable; urgency=medium

  * Bug fix: "FTBFS: fatal error: numpy/arrayobject.h: No such file or
    directory", thanks to Andrius Merkys (Closes: #1069225).
  * Bug fix: "runtime dependency on cython", thanks to Matthias Klose
    (Closes: #1057988).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1044326).
  * Switch to new upstream location (https://github.com/silx-kit/freesas/).
  * New upstream release.
  * Actually run testsuite at build time (and fix a few tests along the way).
  * Also run the testsuite as autopkgtests. This fixes: "please add
    autopkgtests (to add coverage for python3-numpy)", thanks to Sandro
    Tosi (Closes: #1035157), and "please add autopkgtests (to add coverage
    for python3-matplotlib)", thanks to Sandro Tosi (Closes: #1036501).

 -- Roland Mas <lolando@debian.org>  Wed, 18 Sep 2024 19:44:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,43 @@
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
- Roland Mas <lolando@debian.org>
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: dh-python, python3, python3-numpy, python3-setuptools,
- python3-silx, help2man, python3-pyfai,
- cython3, python3-dev, python3-pip, python3-scipy, debhelper (>= 13)
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-python3,
+ dh-sequence-numpy3,
+ help2man,
+ python3,
+ python3-dev,
+ python3-numpy,
+ python3-pip,
+ python3-pyfai,
+ python3-scipy,
+ python3-setuptools,
+ pybuild-plugin-pyproject,
+ python3-pytest,
+ python3-silx,
+ python3-mesonpy,
+ rename,
 Standards-Version: 4.6.0
-Homepage: https://github.com/kif/freesas
+Homepage: https://github.com/silx-kit/freesas
 Vcs-Git: https://salsa.debian.org/science-team/freesas.git
 Vcs-Browser: https://salsa.debian.org/science-team/freesas
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-freesas
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
- cython3, python3-matplotlib, python3-silx, python3-pyfai
+Depends:
+ python3-matplotlib,
+ python3-pyfai,
+ python3-silx,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Python libraries for small angle scattering tools
  Available tools:
   - supycomb: a re-implementation of supcomb as described in

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_TEST_ARGS=-v test
export CFLAGS=-I/usr/lib/python3/dist-packages/numpy/core/include

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	for i in debian/python3-freesas/usr/bin/* ; do PYTHONPATH=$$(echo debian/python3-freesas/usr/lib/python*/dist-packages) HOME=$(CURDIR)/_build PATH=_build/bin:$$PATH help2man --output=$$(basename $$i).1 --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) --help-option --help --no-discard-stderr $$i ; done

=== debian/tests/control ===
# Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
# Depends:
#  debhelper,
#  mesa-utils,
#  python3-freesas,
#  xauth,
#  xvfb,
# Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/silx-kit/freesas/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## freesas 2025.4.0~adev0

=== debian/changelog ===
freesas (2025.4.0~adev0-1~bpo12+1) bookworm-backports; urgency=medium

  * upstream development build of freesas 2025.4.0-dev0
  * freesas snapshot 2025.4.0-dev0 built for debian12

 -- edna tester <tester@edna-site.org>  Wed, 01 Oct 2025 01:28:45 +0200

freesas (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #??????)

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Fri, 31 Aug 2017 11:00:20 +0100

## freesas 2026.2

=== debian/changelog ===
freesas (2026.2-1) unstable; urgency=medium

  * d/watch: switch to format 5
  * New upstream version 2026.2
  * Bug fix: "FTBFS with Python 3.14", thanks to Graham Inggs (Closes:
    #1127049).
  * Bug fix: "Python SyntaxWarning", thanks to Graham Inggs (Closes:
    #1085584).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 10 Feb 2026 12:07:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  dh-sequence-numpy3,
  help2man,
  python3,
- python3-dev,
+ python3-all-dev,
+ python3-matplotlib,
  python3-numpy,
  python3-pip,
  python3-pyfai,
  python3-scipy,
  python3-setuptools,
  pybuild-plugin-pyproject,
- python3-pytest,
  python3-silx,
  python3-mesonpy,
  rename,
@@ -28,14 +28,10 @@
 Homepage: https://github.com/silx-kit/freesas
 Vcs-Git: https://salsa.debian.org/science-team/freesas.git
 Vcs-Browser: https://salsa.debian.org/science-team/freesas
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-freesas
 Architecture: any
 Depends:
- python3-matplotlib,
- python3-pyfai,
- python3-silx,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	for i in debian/python3-freesas/usr/bin/* ; \
	do PYTHONPATH=$$(pybuild --print build_dir --interpreter python3) \
	   HOME=$(CURDIR)/_build PATH=_build/bin:$$PATH \
	   help2man --output=$$(basename $$i).1 \
	            --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) \
	            --help-option --help --no-discard-stderr $$i ; \
	done

override_dh_auto_test:
# skipped need internet access
#	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} {interpreter} -c 'import freesas.test, sys; sys.exit(freesas.test.run_tests())'"

=== debian/tests/control ===
Tests: python
Depends:
 python3-all,
 python3-freesas,
Restrictions: allow-stderr, skip-not-installable, needs-internet

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 python3-freesas,
 xauth,
 xvfb,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: GitHub
Owner: silx-kit
Project: freesas
